
{% if 'gcp_project_id' in asset and asset.gcp_project_id|length > 0 and asset.hostname|length > 0 %}
View asset details in [GCP](https://console.cloud.google.com/compute/instancesDetail/zones/{{ asset.gcp_zone[0] }}/instances/{{ asset.hostname[0] }}?project={{ asset.gcp_project_id[0] }})
{% endif %}

View vulnerability details in [Tenable.io](https://cloud.tenable.com/tio/app.html#/vulnerability-management/vulnerabilities/by-plugins/vulnerability-details/{{ plugin.id }}/assets-affected/asset-details/{{ asset.uuid }}/activity)

## Problem

{{ plugin.description }}

* First found: {{ vulnerability.first_found }}
* Last found: {{ vulnerability.last_found }}
* Fixed: {{ vulnerability.last_fixed }}

### Output

```
{{ vulnerability.output }}
```

## Solution

{{ plugin.solution }}

## Full details


|    Key    |            Value              |
| --------- | ----------------------------- |
{% for key, value in asset.items() -%}
{% if value and value not in ("", [], {}) -%}
| {{ key }} | {{ value | replace("\n", " ") | replace("[", " ")  | replace("]", " ") | replace("{", " ") | replace("}", " ") }}  |
{% endif -%}
{% endfor -%}
